Subject: First Class package - tracking?
From: "Michael B" <[email-masked]>
To: "Cynthia Matheny" <[email-masked]>
Date: Wed, 7 Feb 2018 16:34:08 -0500

Hello Cynthia.

I was handed a tracking, (#9400111899560481947457 - address below), for a package that was sent out on January 9th and as of February 7th, still shows is "In Transit to Destination". This is the same status that was there on January 12th. There are weeks not the package can't be accounted for. This is First Class mail so I am unsure why it's taking so long to get there. I sort of understand why a Parcel Select package might take longer as it is the cheapest service. Can you please look into this further for me? 

MS MURIEL FOSTER
SAMMY DYER SCHL OF THE THEATER
P O BOX 438038
CHICAGO, IL 60643-8038

Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355